package com.ss.android.ugc.aweme.feed.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.profile.model.User;
import java.io.Serializable;

public final class EventStruct implements Serializable {
    @c(LIZ = "desc")
    public String desc;
    @c(LIZ = "duration")
    public long duration;
    @c(LIZ = "enable_update")
    public boolean enableUpdate;
    @c(LIZ = "has_subscribed")
    public boolean hasSubscribed;
    @c(LIZ = "host")
    public User host;
    @c(LIZ = "id")
    public String id;
    @c(LIZ = "start_time")
    public long startTime;
    @c(LIZ = "status")
    public int status;
    @c(LIZ = "subscriber_count")
    public long subscriberCount;
    @c(LIZ = "title")
    public String title;
    @c(LIZ = "type")
    public int type;

    static {
        Covode.recordClassIndex(78910);
    }

    public final String getDesc() {
        return this.desc;
    }

    public final long getDuration() {
        return this.duration;
    }

    public final boolean getEnableUpdate() {
        return this.enableUpdate;
    }

    public final boolean getHasSubscribed() {
        return this.hasSubscribed;
    }

    public final User getHost() {
        return this.host;
    }

    public final String getId() {
        return this.id;
    }

    public final long getStartTime() {
        return this.startTime;
    }

    public final int getStatus() {
        return this.status;
    }

    public final long getSubscriberCount() {
        return this.subscriberCount;
    }

    public final String getTitle() {
        return this.title;
    }

    public final int getType() {
        return this.type;
    }

    public final void setDesc(String str) {
        this.desc = str;
    }

    public final void setDuration(long j) {
        this.duration = j;
    }

    public final void setEnableUpdate(boolean z) {
        this.enableUpdate = z;
    }

    public final void setHasSubscribed(boolean z) {
        this.hasSubscribed = z;
    }

    public final void setHost(User user) {
        this.host = user;
    }

    public final void setId(String str) {
        this.id = str;
    }

    public final void setStartTime(long j) {
        this.startTime = j;
    }

    public final void setStatus(int i) {
        this.status = i;
    }

    public final void setSubscriberCount(long j) {
        this.subscriberCount = j;
    }

    public final void setTitle(String str) {
        this.title = str;
    }

    public final void setType(int i) {
        this.type = i;
    }
}
